{
        template: '${tmpl}',
        data: function() {
                return {
                        name : null,
                        phone : null,
                        email : null,
                        city : "不限",
                        type : "按次购买",
                        count : 1,
                        money : 0,
                        num:3000,
                        dailog1: false,
                        dailogList: ["不限","上海地區","北京地區","四川地區","山東地區"],
                        dailog2: false,
                }
        },
        mounted: function() {
                this.money = this.num;
        },
        created: function() {

        },
        methods: {
                addCount(){
                        this.count++;
                        this.money = this.count * this.num;
                },
                reduceCount(){
                        if(this.count <= 1)return;
                        this.count--;
                        this.money = this.count * this.num;
                },
                cityChange(){
                        this.dailog1 = true;
                },
                listCheckout(city){
                        this.dailog1 = false;
                        this.city = city;
                },
                cityShow(){
                        this.dailog1 = false;
                },
                submitShow(){
                        this.dailog2 = false;
                },
                submit(){
                        let resPhone = /^1[3456789]\d{9}$/;
                        if(!resPhone.test(this.phone)){
                                this.$message({
                                        message: '手機號輸入不正確',
                                        type: 'warning'
                                });
                                return;
                        }
                        this.dailog2 = true;
                }
        },
        vname: "gsb-registration"
}
